package com.gic.haoban.manage.web.qo.content.statistics;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class MaterialTodayDetailDataQO extends MaterialStatisticsBaseQO {

    private static final long serialVersionUID = 3422937373665522931L;

    /**
     * 1企业2门店3导购
     */
    private Integer dataType = 1;

    /**
     * 排序字段
     * 日均使用导购占比
     * 转化客户数
     */
    private String orderByField;

    /**
     * asc
     * desc
     */
    private String order;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("convUserNum", 1);
        map.put("convSalesAmt", 2);
        map.put("offlineConvUserNum", 3);
        map.put("offlineConvSalesAmt", 4);
        map.put("clickUserNum", 5);
        map.put("useMatluserCnt", 6);
        map.put("useMatlClerkNum", 7);
        map.put("unusedMatlClerkNum", 8);
        return map;
    }

    public String getDefaultFields() {
        return "useMatluserCnt";
    }
}
